ubuntu/+source/apache2:applied/ubuntu/wily-security

Last commit made on 2016-07-18
Get this branch:
git clone -b applied/ubuntu/wily-security https://git.launchpad.net/ubuntu/+source/apache2
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/wily-security
Repository:
lp:ubuntu/+source/apache2

Recent commits

db9e857... by Marc Deslauriers on 2016-07-14

Import patches-applied version 2.4.12-2ubuntu2.1 to applied/ubuntu/wily-security

Imported using git-ubuntu import.

Changelog parent: e6ec171e91b9edc24a30947d128dce2db26b5b80
Unapplied parent: b05dcd36cab02c6460e1ea3d187b3a1253061101

New changelog entries:
  * SECURITY UPDATE: proxy request header vulnerability (httpoxy)
    - debian/patches/CVE-2016-5387.patch: don't pass through HTTP_PROXY in
      server/util_script.c.
    - CVE-2016-5387

b05dcd3... by Marc Deslauriers on 2016-07-14

fix proxy request header vulnerability (httpoxy)

Gbp-Pq: CVE-2016-5387.patch.

416286b... by Marc Deslauriers on 2016-07-14

fix access restriction bypass via deprecated API

Gbp-Pq: CVE-2015-3185.patch.

30f901c... by Marc Deslauriers on 2016-07-14

fix request smuggling via chunked transfer encoding

Gbp-Pq: CVE-2015-3183.patch.

2969fd6... by Marc Deslauriers on 2016-07-14

Pull upstream fixes for autotools for cross-compiling

Gbp-Pq: 086_svn_cross_compiles.

5abc09c... by Marc Deslauriers on 2016-07-14

CVE-2015-0253_ErrorDocument.diff

No DEP3 Subject or Description header found

Gbp-Pq: CVE-2015-0253_ErrorDocument.diff.

1bbfd79... by Marc Deslauriers on 2016-07-14

mpm_event_crash.diff

No DEP3 Subject or Description header found

Gbp-Pq: mpm_event_crash.diff.

864d7fd... by Marc Deslauriers on 2016-07-14

CVE-2015-0228_mod_lua.diff

No DEP3 Subject or Description header found

Gbp-Pq: CVE-2015-0228_mod_lua.diff.

b58c4fb... by Marc Deslauriers on 2016-07-14

add suexec-custom to the build system

Gbp-Pq: build_suexec-custom.patch.

e428360... by Marc Deslauriers on 2016-07-14

Adapt apxs to Debian specific changes

Gbp-Pq: customize_apxs.patch.